%define module	SVG
%define name	perl-%{module}
%define version 2.33
%define release 2mdk

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Perl extension for generating Scalable Vector Graphics (SVG) documents
License:	GPL or Artistic
Group:		Development/Perl
Source:		http://search.cpan.org/CPAN/authors/id/R/RO/RONAN/%{module}-%{version}.tar.bz2
Url:		http://search.cpan.org/dist/%{module}/
BuildRoot:	%{_tmppath}/%{name}-%{version}
%if %{mdkversion} < 1010
Buildrequires:	perl-devel
%endif
Buildarch:	noarch

%description
SVG is a Perl module which generates a nested data structure containing the
DOM representation of an SVG (Scalable Vector Graphics) image. Using SVG, you
can generate SVG objects, embed other SVG instances into it, access the DOM
object, create and access javascript, and generate SMIL animation content.

%prep
%setup -n %{module}-%{version}

%build
perl -pi -e 's/\cM//' examples/*.{pl,cgi}
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%check
make test


%clean 
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc README Changes examples
%{perl_vendorlib}/SVG
%{perl_vendorlib}/SVG.pm
%{_mandir}/*/*

%changelog
* Tue Jun 07 2005 Guillaume Rousse <guillomovitch@mandriva.org> 2.33-2mdk 
- spec cleanup
- don't ship useless empty directories
- make test in %%check

* Tue May 17 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 2.33-1mdk
- 2.33
- Fix line endings in examples

* Mon Dec 20 2004 Guillaume Rousse <guillomovitch@mandrake.org> 2.32-2mdk
- fix buildrequires in a backward compatible way

* Tue Oct 19 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 2.32-1mdk
- 2.32
- Add examples

* Fri Jul 23 2004 Guillaume Rousse <guillomovitch@mandrake.org> 2.28-2mdk
- rpmbuildupdate aware

* Sun Jan 04 2004 Guillaume Rousse <guillomovitch@mandrake.org> 2.28-1mdk
- first mdk release
